请选择 进入手机版 | 继续访问电脑版

『瀚思彼岸』» 智能家居技术论坛

 找回密码
 立即注册
查看: 2181|回复: 10

[经验分享] 关于升级最新版HA出现404 not found 解决办法

[复制链接]

1

主题

40

帖子

344

积分

中级会员

Rank: 3Rank: 3

积分
344
金钱
304
HASS币
0
发表于 2018-9-1 02:27:26 | 显示全部楼层 |阅读模式
本帖最后由 hogan_wang 于 2018-9-1 02:41 编辑

今天刚升级了0.77.2版本HA
然后打开网址发现一片空白,出现404: Not Found。
但是HA是正常运行的,只是frontend出了问题。
查看Log记录说homeassistant-frontend没有安装home-assistant-frontend-20180831.0最新版。
网址查了很多资料都没有解决办法。
也试过自己安装frontend来解决,最终还是不行。
后来抱着试试的心态,用HA升级的代码,替换成升级frontend,结果奇迹出现了!!!
成功的解决了!!!
希望遇到该问题的朋友也可以通过此方法解决


sudo systemctl stop [email protected]
sudo -u homeassistant -H -s
source /srv/homeassistant/bin/activate
pip3 install --upgrade home-assistant-frontend -i https://pypi.python.org/simple/ --trusted-host pypi.python.org
exit
sudo systemctl start [email protected]


PS: 我用的是树莓派Mossbian系统。




Log如下:
2018-09-01 03:59:14 ERROR (Thread-3) [homeassistant.util.package] Unable to install package home-assistant-frontend==20180831.0: Could not find a version that satisfies the requirement home-assistant-frontend==20180831.0 (from versions: 0.1, 20171021.0, 20171021.2, 20171027.0, 20171027.1, 20171030.0, 20171102.0, 20171103.0, 20171104.0, 20171105.0, 20171106.0, 20171110.0, 20171111.0, 20171115.0, 20171117.0, 20171117.1, 20171118.0, 20171121.0, 20171121.1, 20171126.0, 20171127.0, 20171130.0, 20171204.0, 20171206.0, 20171216.0, 20171223.0, 20180102.0, 20180110.0, 20180112.0, 20180119.0, 20180126.0, 20180130.0, 20180209.0, 20180211.0, 20180216.0, 20180220.0, 20180221.0, 20180221.1, 20180227.0, 20180228.0, 20180228.1, 20180305.0, 20180309.0, 20180310.0, 20180315.0, 20180316.0, 20180322.0, 20180326.0, 20180330.0, 20180401.0, 20180404.0, 20180414.0, 20180417.0, 20180418.0, 20180420.0, 20180425.0, 20180426.0, 20180505.0, 20180509.0, 20180510.0, 20180510.1, 20180515.0, 20180516.0, 20180516.1, 20180517.0, 20180518.0, 20180518.1, 20180519.0, 20180521.0, 20180524.0, 20180526.1, 20180526.2, 20180526.3, 20180526.4, 20180531.0, 20180601.0, 20180603.0, 20180607.0, 20180608.0b0, 20180613.0, 20180615.0, 20180616.0, 20180617.0, 20180618.0, 20180619.0, 20180620.0, 20180621.0, 20180621.1, 20180621.2, 20180622.0, 20180622.1, 20180625.0, 20180627.0, 20180629.0, 20180629.1, 20180701.0, 20180702.0, 20180702.1, 20180703.0, 20180703.1, 20180704.0, 20180708.0, 20180709.0, 20180710.0, 20180713.0, 20180716.0, 20180717.0, 20180718.0, 20180719.0, 20180720.0, 20180724.0, 20180726.0, 20180802.0, 20180803.0, 20180804.0, 20180811.0, 20180813.0, 20180816.0, 20180816.1, 20180818.0, 20180820.0, 20180824.0, 20180825.0, 20180826.0, 20180827.0, 20180829.0)
No matching distribution found for home-assistant-frontend==20180831.0
2018-09-01 03:59:14 ERROR (MainThread) [homeassistant.requirements] Not initializing frontend because could not install requirement home-assistant-frontend==20180831.0
2018-09-01 03:59:14 ERROR (MainThread) [homeassistant.setup] Setup failed for frontend: Could not install all requirements.
2018-09-01 03:59:15 WARNING (MainThread) [homeassistant.loader] You are using a custom component for set_state which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you do experience issues with Home Assistant.
2018-09-01 03:59:15 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of logbook. Setup failed for dependencies: frontend
2018-09-01 03:59:15 ERROR (MainThread) [homeassistant.setup] Setup failed for logbook: Could not set up all dependencies.
2018-09-01 03:59:15 ERROR (MainThread) [homeassistant.setup] Unable to set up dependencies of panel_iframe. Setup failed for dependencies: frontend
2018-09-01 03:59:15 ERROR (MainThread) [homeassistant.setup] Setup failed for panel_iframe: Could not set up all dependencies.

回复

使用道具 举报

0

主题

81

帖子

580

积分

论坛积极会员

积分
580
金钱
499
HASS币
0
发表于 2018-9-1 23:54:00 | 显示全部楼层
以备不时之需
回复

使用道具 举报

17

主题

185

帖子

888

积分

高级会员

Rank: 4

积分
888
金钱
698
HASS币
20
发表于 2018-9-5 02:03:27 | 显示全部楼层
神了。刚好遇到
请问有什么副作用吗
回复

使用道具 举报

4

主题

94

帖子

351

积分

中级会员

Rank: 3Rank: 3

积分
351
金钱
255
HASS币
0
发表于 2018-9-5 15:51:52 | 显示全部楼层
我的也404了,按楼主的方法成功救活,谢谢
回复

使用道具 举报

2

主题

34

帖子

155

积分

注册会员

Rank: 2

积分
155
金钱
121
HASS币
0
发表于 2018-9-8 22:02:23 | 显示全部楼层
感谢楼主!成功登录!
回复

使用道具 举报

1

主题

84

帖子

486

积分

中级会员

Rank: 3Rank: 3

积分
486
金钱
402
HASS币
0
发表于 2018-9-10 02:20:08 | 显示全部楼层
感谢楼主折腾一天各种刷系统终于进去了......好吧主要还是不会看日志....
回复

使用道具 举报

4

主题

197

帖子

1108

积分

金牌会员

Rank: 6Rank: 6

积分
1108
金钱
911
HASS币
0
发表于 2019-6-11 22:15:11 | 显示全部楼层
大佬!!!谢谢啊  终于救活了
回复

使用道具 举报

0

主题

10

帖子

49

积分

新手上路

Rank: 1

积分
49
金钱
39
HASS币
0
发表于 2019-8-14 01:47:02 | 显示全部楼层
好神奇 一下子好了 ,赞赞赞赞
回复

使用道具 举报

30

主题

441

帖子

1603

积分

金牌会员

Rank: 6Rank: 6

积分
1603
金钱
1162
HASS币
0
QQ
发表于 2019-11-7 15:46:36 | 显示全部楼层
pip3 install --upgrade home-assistant-frontend -i https://pypi.python.org/simple/ --trusted-host pypi.python.org
这一句太难成功了,尝试了十二次都失败,很难下载,速度极其慢!!!!如何解决呀?
回复

使用道具 举报

0

主题

27

帖子

99

积分

注册会员

Rank: 2

积分
99
金钱
72
HASS币
0
发表于 2019-11-15 13:09:14 | 显示全部楼层
出现的问题不太一样,但是用楼主的方法解决了,感谢
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

Archiver|手机版|小黑屋|Hassbian

GMT+8, 2019-12-12 06:30 , Processed in 0.081815 second(s), 21 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表